import request from '@/utils/request'

// 查询直播讨论列表
export function listLiveMsg(query) {
  return request({
    url: '/live/liveMsg/list',
    method: 'get',
    params: query
  })
}

// 查询直播讨论详细
export function getLiveMsg(msgId) {
  return request({
    url: '/live/liveMsg/' + msgId,
    method: 'get'
  })
}

// 新增直播讨论
export function addLiveMsg(data) {
  return request({
    url: '/live/liveMsg',
    method: 'post',
    data: data
  })
}

// 修改直播讨论
export function updateLiveMsg(data) {
  return request({
    url: '/live/liveMsg',
    method: 'put',
    data: data
  })
}

// 删除直播讨论
export function delLiveMsg(msgId) {
  return request({
    url: '/live/liveMsg/' + msgId,
    method: 'delete'
  })
}

// 导出直播讨论
export function exportLiveMsg(query) {
  return request({
    url: '/live/liveMsg/export',
    method: 'get',
    params: query
  })
}